// Simple Munching Squares //


#include <string.h>
#include <3ds.h>


#define WIDTH  400
#define HEIGHT 240
#define SCREEN 400*240



	int x,y,d;

	char k;



int main() {


	// Initialize services

	srvInit();
	aptInit();
	hidInit(NULL);
	gfxInit();

	//gfxSet3D(true); // uncomment if using stereoscopic 3D


	// Main loop

		while (aptMainLoop()) {

			gspWaitForVBlank();
			hidScanInput();

			// Your code goes here

			u32 kDown = hidKeysDown();

			if (kDown & KEY_START) break; // break in order to return to hbmenu


			// Example rendering code that displays a white pixel
			// Please note that the 3DS screens are sideways (thus 240x400 and 240x320)

			u8* fb = gfxGetFramebuffer(GFX_TOP, GFX_LEFT, NULL, NULL);
			
			memset(fb, 0, SCREEN * 3);


				for (y=0;y<HEIGHT;y++) {

					for (x=0;x<WIDTH;x++) {

						k = ((x^y)&255)+d;


						fb[3*(y+x*240)]   = k;
						fb[3*(y+x*240)+1] = k<<1;
						fb[3*(y+x*240)+2] = k<<2;

					}

				}

				d++;


			// Flush and swap framebuffers

			gfxFlushBuffers();

			gfxSwapBuffers();

		}

	// Exit services

	gfxExit();
	hidExit();
	aptExit();
	srvExit();

	return 0;

}